Retrieve Vendor

The Retrieve Vendor request enables you to retrieve details about one existing vendor.


Request Content

Enter the vendorId into the web service URL, in the format:
services/2/vendors/{vendorId}

For example:
services/2/vendors/2111111

Response Details

If successful, the response HTTP status code is 200 OK.
The response contains the retrieved vendor.

Examples

Request Examples

curl -v -X GET https://sandbox.bluesnap.com/services/2/vendors/837389 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ='

Response Examples

{
  "vendorId": 837389,
  "email": "[email protected]",
  "name": "Default Vendor",
  "firstName": "Joe",
  "lastName": "Smith",
  "address": "123 Main Street",
  "city": "Boston",
  "zip": "02453",
  "country": "us",
  "phone": "1-123-456-7890",
  "state": "MA",
  "vendorPrincipal": {
    "firstName": "Joe",
    "lastName": "Smith",
    "address": "123 Main Street",
    "city": "Boston",
    "zip": "02453",
    "country": "US",
    "dob": "28-09-9999",
    "personalIdentificationNumber": "1234",
    "driverLicenseNumber": "561196411",
    "email": "[email protected]"
  },
  "payoutConfiguration": {
    "payoutFrequency": "DAILY",
    "reviewDelay": 20,
    "defaultLegalEntity": "US",
    "regions": [
      {
        "region": "US",
        "defaultCurrency": "USD",
        "currencyByRegion": [
          {
            "currencyCode": "USD",
            "status": "Active",
            "payoutPaymentType": "WIRE",
            "minimumPaymentAmount": 65,
            "reserve": {
              "merchantReserve": {
                "keepOnMerchantReserve": 110
              }
            },
            "bankDetails": [
              {
                "country": "us",
                "state": "WY",
                "city": "Rosafurt",
                "address1": "123 Example Street",
                "zipCode": "20611",
                "intermediaryBic": "ABCDEF12",
                "intermediaryBankName": "Investment Account",
                "intermediaryBankState": "WY",
                "intermediaryBankCountry": "us",
                "paymentReference": "payment",
                "bic": "EXBN01",
                "bankName": "Credit Card Account",
                "iban": "ABC123456789DEF",
                "nameOnAccount": "Example - Company Inc",
                "status": "Pending"
              }
            ]
          }
        ]
      }
    ]
  },
  "vendorAgreement": {
    "commissionPercent": 30,
    "accountStatus": "ACTIVE",
    "recurringCommission": "Y"
  },
  "verification": {
    "payoutStatus": "Approved",
    "processingStatus": "Active"
  }
}

API Explorer

Vendor ID Request

To test out a call, enter an existing vendor ID (e.g 837389) in the vendorId field. This will automatically insert the ID into the request URL.

Path Params
int32
required
Defaults to 1198611

BlueSnap identifier for the vendor

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!